commit 9c021029a33eefe4045268f25499690f11ca16df
Author: Andreas Müller <a.mueller@bgbm.org>
Date:   Fri Jul 22 15:29:02 2022 +0200

    ref #10097 change originalNameString to originalInfo in cdmlib

diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/CdmImportBase.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/CdmImportBase.java
index c0f23f794b..ecd6706221 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/CdmImportBase.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/CdmImportBase.java
@@ -966,7 +966,7 @@ public abstract class CdmImportBase<CONFIG extends IImportConfigurator, STATE ex
     public OriginalSourceBase addOriginalSource(ICdmBase cdmBase, Object idAttributeValue, String namespace, Reference citation, String originalInformation)  {
         OriginalSourceBase source = addOriginalSource(cdmBase, idAttributeValue, namespace, citation);
         if (source != null && isNotBlank(originalInformation)){
-            source.setOriginalNameString(originalInformation);
+            source.setOriginalInfo(originalInformation);
         }
         return source;
     }
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportNameTypeDesignationMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportNameTypeDesignationMapper.java
index 8928e509ca..3cb5277b92 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportNameTypeDesignationMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/DbImportNameTypeDesignationMapper.java
@@ -12,7 +12,8 @@ package eu.etaxonomy.cdm.io.common.mapping;
 import java.sql.ResultSet;
 import java.sql.SQLException;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 
 import eu.etaxonomy.cdm.io.common.CdmImportBase;
 import eu.etaxonomy.cdm.io.common.DbImportStateBase;
@@ -113,7 +114,7 @@ public class DbImportNameTypeDesignationMapper<STATE extends DbImportStateBase<?
 		TaxonName typeName = checkTaxonNameType(toObject);
 
 		boolean addToAllHomotypicNames = false; //TODO check if this is correct
-		String originalNameString = null; //TODO what is this
+		String originalInfo = null; //TODO what is this
 
 		NameTypeDesignationStatus status = this.designationStatus;
 		if (designationStatusValue != null){
@@ -123,7 +124,7 @@ public class DbImportNameTypeDesignationMapper<STATE extends DbImportStateBase<?
 				status = transformer.transformNameTypeDesignationStatus(designationStatusValue);
 			}
 		}
-		typifiedName.addNameTypeDesignation(typeName, citation, microCitation, originalNameString, status, addToAllHomotypicNames);
+		typifiedName.addNameTypeDesignation(typeName, citation, microCitation, originalInfo, status, addToAllHomotypicNames);
 
 		return typifiedName;
 	}
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
index b3e4b87878..5b1341e4a1 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/common/mapping/out/DbOriginalNameMapper.java
@@ -48,7 +48,7 @@ public class DbOriginalNameMapper extends DbSingleAttributeExportMapperBase<DbEx
 	protected Object getValue(CdmBase cdmBase) {
 		if (cdmBase.isInstanceOf(OriginalSourceBase.class)){
 			OriginalSourceBase source = CdmBase.deproxy(cdmBase, OriginalSourceBase.class);
-			String nameString = source.getOriginalNameString();
+			String nameString = source.getOriginalInfo();
 			TaxonName name = null;
 			if (source.isInstanceOf(NamedSourceBase.class)){
 			    NamedSourceBase descSource = CdmBase.deproxy(source, NamedSourceBase.class);
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/markup/MarkupSpecimenImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/markup/MarkupSpecimenImport.java
index 8ab30ba08e..8b0716ff87 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/markup/MarkupSpecimenImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/markup/MarkupSpecimenImport.java
@@ -293,7 +293,7 @@ public class MarkupSpecimenImport extends MarkupImportBase  {
 			if (collectionAndType.matches(notDesignatedRE)){
 				SpecimenTypeDesignation desig = SpecimenTypeDesignation.NewInstance();
 				desig.setNotDesignated(true);
-//				name.addSpecimenTypeDesignation(typeSpecimen, status, citation, citationMicroReference, originalNameString, isNotDesignated, addToAllHomotypicNames)
+//				name.addSpecimenTypeDesignation(typeSpecimen, status, citation, citationMicroReference, originalInfo, isNotDesignated, addToAllHomotypicNames)
 				name.addTypeDesignation(desig, true);
 			}else if(collectionAndType.matches(designatedRE)){
 				String designatedBy = null;
diff --git a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/TaxonXNomenclatureImport.java b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/TaxonXNomenclatureImport.java
index bdefecb4e0..1804a7083e 100644
--- a/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/TaxonXNomenclatureImport.java
+++ b/cdmlib-io/src/main/java/eu/etaxonomy/cdm/io/taxonx/TaxonXNomenclatureImport.java
@@ -14,7 +14,8 @@ import java.util.List;
 import java.util.Map;
 import java.util.Set;
 
-import org.apache.logging.log4j.LogManager;import org.apache.logging.log4j.Logger;
+import org.apache.logging.log4j.LogManager;
+import org.apache.logging.log4j.Logger;
 import org.jdom.Element;
 import org.jdom.Namespace;
 import org.springframework.stereotype.Component;
@@ -194,7 +195,7 @@ public class TaxonXNomenclatureImport
 	private boolean doSpecimenType(TaxonXImportConfigurator config, Element elType, Element elTypeLoc, TaxonName taxonName){
 		Reference citation = null;
 		String citationMicroReference = null;
-		String originalNameString = null;
+		String originalInfo = null;
 		boolean isNotDesignated = true;
 		boolean addToAllHomotypicNames = true;
 
@@ -212,11 +213,11 @@ public class TaxonXNomenclatureImport
 		if (typeLocMap != null && typeLocMap.size() >0){
 			for (DerivedUnit specimen : typeLocMap.keySet()){
 				SpecimenTypeDesignationStatus status = typeLocMap.get(specimen);
-				taxonName.addSpecimenTypeDesignation(specimen, status, citation, citationMicroReference, originalNameString, isNotDesignated, addToAllHomotypicNames);
+				taxonName.addSpecimenTypeDesignation(specimen, status, citation, citationMicroReference, originalInfo, isNotDesignated, addToAllHomotypicNames);
 			}
 		}else{ // no type_loc
 			SpecimenTypeDesignationStatus status = null;
-			taxonName.addSpecimenTypeDesignation(simpleSpecimen.getSpecimen(), status, citation, citationMicroReference, originalNameString, isNotDesignated, addToAllHomotypicNames);
+			taxonName.addSpecimenTypeDesignation(simpleSpecimen.getSpecimen(), status, citation, citationMicroReference, originalInfo, isNotDesignated, addToAllHomotypicNames);
 		}
 		return true;
 	}
@@ -392,11 +393,11 @@ public class TaxonXNomenclatureImport
 	private boolean doNameTypeDesignation(TaxonName name, TaxonName type, NameTypeDesignationStatus status/*, boolean isLectoType*/){
 		Reference citation = null;
 		String citationMicroReference = null;
-		String originalNameString = null;
+		String originalInfo = null;
 		boolean addToAllHomotypicNames = true;
 
-//		name.addNameTypeDesignation(type, citation, citationMicroReference, originalNameString, status, addToAllHomotypicNames);
-		name.addNameTypeDesignation(type, citation, citationMicroReference, originalNameString,status, false, false, /*isLectoType, */false, addToAllHomotypicNames);
+//		name.addNameTypeDesignation(type, citation, citationMicroReference, originalInfo, status, addToAllHomotypicNames);
+		name.addNameTypeDesignation(type, citation, citationMicroReference, originalInfo,status, false, false, /*isLectoType, */false, addToAllHomotypicNames);
 		return true;
 	}
 
@@ -439,7 +440,7 @@ public class TaxonXNomenclatureImport
 						logger.warn("Is this really only a collection string? : "  + tmpCollString + getBracketSourceName(config));
 					}
 					DerivedUnit specimen;
-					specimen = (DerivedUnit)originalSpecimen.clone();
+					specimen = originalSpecimen.clone();
 					String title = originalSpecimen.getTitleCache();
 					title = title + "(" + tmpCollString + ")";
 					specimen.setTitleCache(title, true );
@@ -516,12 +517,12 @@ public class TaxonXNomenclatureImport
 						if (taxonName != null){
 							Reference citation = null;
 							String citationMicroReference = null;
-							String originalNameString = null;
+							String originalInfo = null;
 							boolean isNotDesignated = true;
 							boolean addToAllHomotypicNames = true;
-							DerivedUnit specimen = (DerivedUnit)originalSpecimen.clone();
+							DerivedUnit specimen = originalSpecimen.clone();
 							unlazyTypeDesignation(config, taxonName);
-							taxonName.addSpecimenTypeDesignation(specimen, status, citation, citationMicroReference, originalNameString, isNotDesignated, addToAllHomotypicNames);
+							taxonName.addSpecimenTypeDesignation(specimen, status, citation, citationMicroReference, originalInfo, isNotDesignated, addToAllHomotypicNames);
 							result = true;
 						}
 					}
diff --git a/cdmlib-io/src/main/resources/schema/cdm/common.xsd b/cdmlib-io/src/main/resources/schema/cdm/common.xsd
index 8e8ae1a973..24b9bf99e2 100644
--- a/cdmlib-io/src/main/resources/schema/cdm/common.xsd
+++ b/cdmlib-io/src/main/resources/schema/cdm/common.xsd
@@ -383,7 +383,7 @@
       <xs:extension base="common:AnnotatableEntity">
         <xs:sequence>
           <xs:element name="CitationMicroReference" type="xs:string" minOccurs="0"/>
-          <xs:element name="OriginalNameString" type="xs:string" minOccurs="0"/>
+          <xs:element name="OriginalInfo" type="xs:string" minOccurs="0"/>
           <xs:element name="Citation" type="xs:IDREF" minOccurs="0"/>
         </xs:sequence>
       </xs:extension>
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/Person.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/Person.java
index b453596ed0..afc7b27200 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/Person.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/agent/Person.java
@@ -53,7 +53,7 @@ import eu.etaxonomy.cdm.validation.annotation.NullOrNotEmpty;
  * For a short abbreviated name the inherited attribute {@link TeamOrPersonBase#getNomenclaturalTitle() nomenclaturalTitle}
  * is to be used.<BR>
  * For other alternative (string-)names {@link eu.etaxonomy.cdm.model.reference.OriginalSourceBase OriginalSource} instances must be created
- * and the attribute {@link eu.etaxonomy.cdm.model.common.OriginalSourceBase#getOriginalNameString() originalNameString} must be used.
+ * and the attribute {@link eu.etaxonomy.cdm.model.common.OriginalSourceBase#getOriginalInfo() originalInfo} must be used.
  * <P>
  * This class corresponds to: <ul>
  * <li> Person according to the TDWG ontology
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableEntity.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableEntity.java
index d3797d88d5..ae45380aeb 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableEntity.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableEntity.java
@@ -72,7 +72,7 @@ import eu.etaxonomy.cdm.validation.Level2;
  * Superclass for the primary CDM classes that can be referenced from outside via LSIDs and contain a simple generated title string as a label for human reading.
  * All subclasses inherit the ability to store additional properties that are stored as {@link Extension Extensions}, basically a string value with a type term.
  * Any number of right statements can be attached as well as multiple {@link OriginalSourceBase} objects.
- * Original sources carry a reference to the source, an ID within that source and the original title/label of this object as it was used in that source (originalNameString).
+ * Original sources carry a reference to the source, an ID within that source and the original title/label of this object as it was used in that source (originalInfo).
  * A Taxon for example that was taken from 2 sources like FaunaEuropaea and IPNI would have two originalSource objects.
  * The originalSource representing that taxon as it was found in IPNI would contain IPNI as the reference, the IPNI id of the taxon and the name of the taxon exactly as it was used in IPNI.
  *
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableSource.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableSource.java
index cc582d7dd4..28876f2a8d 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableSource.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/IdentifiableSource.java
@@ -79,7 +79,7 @@ public class IdentifiableSource
    public static IdentifiableSource NewInstance(OriginalSourceType type, String id, String idNamespace, Reference
             reference, String microReference, String originalInfo){
         IdentifiableSource result = NewInstance(type, id, idNamespace, reference, microReference);
-        result.setOriginalNameString(originalInfo);
+        result.setOriginalInfo(originalInfo);
         return result;
     }
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/SingleSourcedEntityBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/SingleSourcedEntityBase.java
index 96ccf324ec..2d75823803 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/SingleSourcedEntityBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/SingleSourcedEntityBase.java
@@ -66,12 +66,12 @@ public abstract class SingleSourcedEntityBase
 	}
 
     protected SingleSourcedEntityBase(Reference reference, String microReference,
-            String originalNameString) {
+            String originalInfo) {
         super();
         this.setCitation(reference);
         this.setCitationMicroReference(microReference);
-        if (StringUtils.isNotEmpty(originalNameString)){
-            getSource(true).setOriginalNameString(originalNameString);
+        if (StringUtils.isNotEmpty(originalInfo)){
+            getSource(true).setOriginalInfo(originalInfo);
         }
     }
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/SourcedEntityBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/SourcedEntityBase.java
index 03c5424dbf..4f751d91a6 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/SourcedEntityBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/common/SourcedEntityBase.java
@@ -72,9 +72,9 @@ public abstract class SourcedEntityBase<SOURCE extends OriginalSourceBase>
 	}
 
 //	public SourcedEntityBase(Reference citation, String citationMicroReference,
-//			String originalNameString) {
+//			String originalInfo) {
 //		this.citationMicroReference = citationMicroReference;
-//		this.originalNameString = originalNameString;
+//		this.originalInfo = originalInfo;
 //		this.citation = citation;
 //	}
 
@@ -166,10 +166,10 @@ public abstract class SourcedEntityBase<SOURCE extends OriginalSourceBase>
 //     * @param citation the source as a {@link Reference reference}
 //     * @param microReference the details (e.g. page number) in the reference
 //     * @param nameUsedInSource the taxon name used in the source
-//     * @param originalNameString the name as text used in the source
+//     * @param originalInfo the name as text used in the source
 //     */
-//    public void addSource(OriginalSourceType type, String idInSource, String idNamespace, Reference citation, String microReference, TaxonName nameUsedInSource, String originalNameString){
-//        DescriptionElementSource newSource = DescriptionElementSource.NewInstance(type, idInSource, idNamespace, citation, microReference, nameUsedInSource, originalNameString);
+//    public void addSource(OriginalSourceType type, String idInSource, String idNamespace, Reference citation, String microReference, TaxonName nameUsedInSource, String originalInfo){
+//        DescriptionElementSource newSource = DescriptionElementSource.NewInstance(type, idInSource, idNamespace, citation, microReference, nameUsedInSource, originalInfo);
 //        addSource(newSource);
 //    }
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementBase.java
index 6edb5d8c6c..359a9b92b5 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementBase.java
@@ -473,12 +473,12 @@ public abstract class DescriptionElementBase
      * @param reference the source as a {@link Reference reference}
      * @param microReference the details (e.g. page number) in the reference
      * @param nameUsedInSource the taxon name used in the source
-     * @param originalNameString the name as text used in the source
+     * @param originalInfo any information as original mentioned in the text
      */
     public DescriptionElementSource addSource(OriginalSourceType type, String idInSource, String idNamespace,
-            Reference reference, String microReference, TaxonName nameUsedInSource, String originalNameString){
+            Reference reference, String microReference, TaxonName nameUsedInSource, String originalInfo){
         DescriptionElementSource newSource = DescriptionElementSource.NewInstance(type, idInSource, idNamespace,
-                reference, microReference, nameUsedInSource, originalNameString);
+                reference, microReference, nameUsedInSource, originalInfo);
         addSource(newSource);
         return newSource;
     }
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementSource.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementSource.java
index 4eed433ebb..ac38fb46e9 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementSource.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/description/DescriptionElementSource.java
@@ -34,12 +34,8 @@ import eu.etaxonomy.cdm.model.reference.Reference;
  * can be stored that points to the name used in the source. This is needed because description always belong
  * to accepted taxa while the referenced citations may use synonym names.
  * </BR>
- * The use of "originalNameString" within a DescriptionElementSource has to be discussed.
- * In general this string is to be used for different representations of the sourced object. In this classes
- * context it could also stand for the string representation of the taxon name used in the source. This
- * may make sense if the taxon name is not available in the CDM and the user for some reason does not want
- * to create a new ful {@link eu.etaxonomy.cdm.model.name.TaxonName taxon name}.
- *
+ * For discussion on originalInfo see #10097.
+*
  * @author a.mueller
  * @since 18.09.2009
  */
@@ -100,16 +96,16 @@ public class DescriptionElementSource extends NamedSourceBase{
 		return result;
 	}
 
-	public static DescriptionElementSource NewInstance(OriginalSourceType type, String id, String idNamespace, Reference citation, String microReference, TaxonName nameUsedInSource, String originalNameString){
+	public static DescriptionElementSource NewInstance(OriginalSourceType type, String id, String idNamespace, Reference citation, String microReference, TaxonName nameUsedInSource, String originalInfo){
 		DescriptionElementSource result = NewInstance(type, id, idNamespace, citation, microReference);
 		result.setNameUsedInSource(nameUsedInSource);
-		result.setOriginalNameString(originalNameString);
+		result.setOriginalInfo(originalInfo);
 		return result;
 	}
 
     public static DescriptionElementSource NewInstance(OriginalSourceType type, String id, String idNamespace,
-            Reference citation, String microReference, TaxonName nameUsedInSource, String originalNameString, ICdmTarget target){
-        DescriptionElementSource result = NewInstance(type, id, idNamespace, citation, microReference, nameUsedInSource, originalNameString);
+            Reference citation, String microReference, TaxonName nameUsedInSource, String originalInfo, ICdmTarget target){
+        DescriptionElementSource result = NewInstance(type, id, idNamespace, citation, microReference, nameUsedInSource, originalInfo);
         result.setCdmSource(target);
         return result;
     }
@@ -127,10 +123,10 @@ public class DescriptionElementSource extends NamedSourceBase{
 		return result;
 	}
 
-	public static DescriptionElementSource NewPrimarySourceInstance(Reference citation, String microReference, TaxonName nameUsedInSource, String originalNameString){
+	public static DescriptionElementSource NewPrimarySourceInstance(Reference citation, String microReference, TaxonName nameUsedInSource, String originalInfo){
 		DescriptionElementSource result = NewPrimarySourceInstance(citation, microReference);
 		result.setNameUsedInSource(nameUsedInSource);
-		result.setOriginalNameString(originalNameString);
+		result.setOriginalInfo(originalInfo);
 		return result;
 	}
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/ITaxonNameBase.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/ITaxonNameBase.java
index 85c4c4af17..b123607045 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/ITaxonNameBase.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/ITaxonNameBase.java
@@ -370,10 +370,10 @@ public interface ITaxonNameBase
     public void setOriginalSpelling(TaxonName originalSpelling);
 
     /**
-     * Sets the orginal name string in the nomenclatural source.
+     * Sets the original info in the nomenclatural source.
      * Creates the source if it does not exist.
      */
-    public void setOriginalNameString(String originalNameString);
+    public void setOriginalInfo(String originalInfo);
 
     /**
      * Returns the taxonomic {@link Rank rank} of <i>this</i> taxon name.
@@ -517,7 +517,7 @@ public interface ITaxonNameBase
      * @param  typeSpecies              the taxon name to be used as type of <i>this</i> taxon name
      * @param  citation                 the reference for this new designation
      * @param  citationMicroReference   the string with the details (generally pages) within the reference
-     * @param  originalNameString       the taxon name string used in the reference to assert this designation
+     * @param  originalInfo             any information from the original source, might be the name as written in the source (#10097)
      * @param  isRejectedType           the boolean status for a rejected name type designation
      * @param  isConservedType          the boolean status for a conserved name type designation
      * @param  isLectoType              the boolean status for a lectotype name type designation
@@ -530,7 +530,7 @@ public interface ITaxonNameBase
      * @see                             TypeDesignationBase#isNotDesignated()
      */
     public NameTypeDesignation addNameTypeDesignation(TaxonName typeSpecies, Reference citation,
-            String citationMicroReference, String originalNameString, NameTypeDesignationStatus status,
+            String citationMicroReference, String originalInfo, NameTypeDesignationStatus status,
             boolean isRejectedType, boolean isConservedType,
             /*boolean isLectoType, */
             boolean isNotDesignated, boolean addToAllHomotypicNames);
@@ -542,7 +542,7 @@ public interface ITaxonNameBase
      * @param  typeSpecies              the taxon name to be used as type of <i>this</i> taxon name
      * @param  citation                 the reference for this new designation
      * @param  citationMicroReference   the string with the details (generally pages) within the reference
-     * @param  originalNameString       the taxon name string used in the reference to assert this designation
+     * @param  originalInfo             any information from the original source, might be the name as written in the source (#10097)
      * @param  status                   the name type designation status
      * @param  addToAllHomotypicNames   the boolean indicating whether the name type designation should be
      *                                  added to all taxon names of the homotypical group this taxon name belongs to
@@ -552,7 +552,7 @@ public interface ITaxonNameBase
      * @see                             TypeDesignationBase#isNotDesignated()
      */
     public NameTypeDesignation addNameTypeDesignation(TaxonName typeSpecies, Reference citation,
-            String citationMicroReference, String originalNameString, NameTypeDesignationStatus status,
+            String citationMicroReference, String originalInfo, NameTypeDesignationStatus status,
             boolean addToAllHomotypicNames);
 
     /**
@@ -569,7 +569,7 @@ public interface ITaxonNameBase
      * @param  status                   the specimen type designation status
      * @param  citation                 the reference for this new specimen type designation
      * @param  citationMicroReference   the string with the details (generally pages) within the reference
-     * @param  originalNameString       the taxon name used in the reference to assert this designation
+     * @param  originalInfo             any information from the original source, might be the name as written in the source (#10097)
      * @param  isNotDesignated          the boolean status for a specimen type designation without specimen type
      * @param  addToAllHomotypicNames   the boolean indicating whether the specimen type designation should be
      *                                  added to all taxon names of the homotypical group the typified
@@ -581,7 +581,7 @@ public interface ITaxonNameBase
      * @see                             TypeDesignationBase#isNotDesignated()
      */
     public SpecimenTypeDesignation addSpecimenTypeDesignation(DerivedUnit typeSpecimen, SpecimenTypeDesignationStatus status,
-            Reference citation, String citationMicroReference, String originalNameString, boolean isNotDesignated,
+            Reference citation, String citationMicroReference, String originalInfo, boolean isNotDesignated,
             boolean addToAllHomotypicNames);
 
     /**
@@ -590,15 +590,15 @@ public interface ITaxonNameBase
      *
      * @param text                      the text
      * @param language                  the language of the text, if no language is defined {@link Language#UNDETERMINED()} is used
-     * @param isVerbatim                wether or not this the text is a verbatim text from a reference
-     * @param  citation                 the reference for this new specimen type designation
-     * @param  citationMicroReference   the string with the details (generally pages) within the reference
-     * @param  originalNameString       the taxon name used in the reference to assert this designation
-     * @param  addToAllHomotypicNames   the boolean indicating whether the specimen type designation should be
+     * @param isVerbatim                whether or not this the text is a verbatim text from a reference
+     * @param citation                  the reference for this new specimen type designation
+     * @param citationMicroReference    the string with the details (generally pages) within the reference
+     * @param originalInfo              any information from the original source, might be the name as written in the source (#10097)
+     * @param addToAllHomotypicNames    the boolean indicating whether the specimen type designation should be
      * @return
      */
     TextualTypeDesignation addTextualTypeDesignation(String text, Language language, boolean isVerbatim,
-            Reference citation, String citationMicroReference, String originalNameString,
+            Reference citation, String citationMicroReference, String originalInfo,
             boolean addToAllHomotypicNames);
 
 
diff --git a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NameTypeDesignation.java b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NameTypeDesignation.java
index 43d0a9e3b7..91f5f0ac4e 100644
--- a/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NameTypeDesignation.java
+++ b/cdmlib-model/src/main/java/eu/etaxonomy/cdm/model/name/NameTypeDesignation.java
@@ -99,8 +99,8 @@ public class NameTypeDesignation
 	 *
 	 * @param typeName				the taxon name used as a type
 	 * @param citation				the reference source for the new designation
-	 * @param citationMicroReference	the string with the details describing the exact localisation within the reference
-	 * @param originalNameString	the taxon name string used originally in the reference source for the new designation
+	 * @param citationMicroReference the string with the details describing the exact localisation within the reference
+	 * @param originalInfo	        any information from the original source, might be the name as written in the source (#10097)
 	 * @param isRejectedType		the boolean flag indicating whether the competent authorities rejected
 	 * 								<i>this</i> name type designation
 	 * @param isConservedType		the boolean flag indicating whether the competent authorities conserved
@@ -112,8 +112,8 @@ public class NameTypeDesignation
 	 * @see							TaxonName#addNameTypeDesignation(TaxonName, Reference, String, String, boolean, boolean, boolean, boolean, boolean)
 	 */
 	protected NameTypeDesignation(TaxonName typeName, NameTypeDesignationStatus status,
-			Reference citation, String citationMicroReference, String originalNameString) {
-		super(citation, citationMicroReference, originalNameString);
+			Reference citation, String citationMicroReference, String originalInfo) {
+		super(citation, citationMicroReference, originalInfo);
 		this.setTypeName(typeName);
 		this.setTypeStatus(status);
 	}
@@ -127,7 +127,7 @@ public class NameTypeDesignation
 	 * @param typeName				the taxon name used as a type
 	 * @param citation				the reference source for the new designation
 	 * @param citationMicroReference	the string with the details describing the exact localisation within the reference
-	 * @param originalNameString	the taxon name string used originally in the reference source for the new designation
+	 * @param originalInfo	any information from the original source, might be the name as written in the source (#10097)
 	 * @param isRejectedType		the boolean flag indicating whether the competent authorities rejected
 	 * 								<i>this</i> name type designation
 	 * @param isConservedType		the boolean flag indicating whether the competent authorities conserved
@@ -141,13 +141,13 @@ public class NameTypeDesignation
 	protected NameTypeDesignation(	TaxonName typeName,
 									Reference citation,
 									String citationMicroReference,
-									String originalNameString,
+									String originalInfo,
 									NameTypeDesignationStatus status,
 									boolean rejectedType,
 									boolean conservedType,
 									boolean isNotDesignated
 								) {
-		this(typeName, status, citation, citationMicroReference, originalNameString);
+		this(typeName, status, citation, citationMicroReference, originalInfo);
 		this.setNotDesignated(isNotDesignated);
 		this.rejectedType = rejectedType;
 		this.conservedType = conservedType;
